package com.pcloud.book.pcloudkeyword.dao;

import com.pcloud.book.pcloudkeyword.entity.PcloudKeywordReply;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PcloudKeywordReplyDao extends BaseDao<PcloudKeywordReply> {

    Integer batchInsert(List<PcloudKeywordReply> list);

    void deleteByRelevance(Integer relevanceType,Long relevanceId);

    List<PcloudKeywordReply> getByRelevance(Integer relevanceType, Long relevanceId);

    List<PcloudKeywordReply> getByRelevances(Integer relevanceType, List<Long> relevanceIds);

    void deleteByRelevanceIds(Integer relevanceType, List<Long> relevanceIds);
}
